SystemOrganization addCategory: #'FS-Tests-Xtreams'!

TestCase subclass: #FSReadXtreamTest
	instanceVariableNames: 'fs ref'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FS-Tests-Xtreams'!

!FSReadXtreamTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/15/2011 22:16'!
setUp
	fs := FSFilesystem inMemory.
	ref := fs / 'plonk'.
! !

!FSReadXtreamTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/15/2011 22:18'!
testCreationFromHandle
	| handle stream |
	ref createFile.
	handle := fs open: ref path writable: false.
	stream := handle reading.
	self assert: (stream isKindOf: XTReadStream)! !

!FSReadXtreamTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/15/2011 22:45'!
testCreationFromLocator
	| stream locator |
	locator := FSLocator image.
	stream := locator reading.
	self assert: (stream isKindOf: XTReadStream).
	stream close.! !

!FSReadXtreamTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/15/2011 22:28'!
testCreationFromRef
	| stream |
	ref createFile.
	stream := ref reading.
	self assert: (stream isKindOf: XTReadStream)! !

!FSReadXtreamTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/15/2011 22:30'!
testRead
	| handle stream |
	ref contents: #[1 2 3].
	self assert: ref reading rest = #[1 2 3].! !

TestCase subclass: #FSWriteXtreamTest
	instanceVariableNames: 'fs ref'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FS-Tests-Xtreams'!

!FSWriteXtreamTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/15/2011 22:04'!
setUp
	fs := FSFilesystem inMemory.
	ref := fs referenceTo: 'plonk'.
! !

!FSWriteXtreamTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/15/2011 22:06'!
testCreationFromHandle
	| stream |
	stream := (fs open: ref path writable: true) writing.
	self assert: (stream isKindOf: XTWriteStream)! !

!FSWriteXtreamTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/15/2011 22:51'!
testCreationFromLocator
	| stream locator |
	locator := FSLocator image.
	stream := locator writing.
	self assert: (stream isKindOf: XTWriteStream).
	stream close.! !

!FSWriteXtreamTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/15/2011 22:07'!
testCreationFromRef
	| stream |
	stream := ref writing.
	self assert: (stream isKindOf: XTWriteStream)! !

!FSWriteXtreamTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/15/2011 22:05'!
testWrite
	| stream |
	stream := (fs open: ref path writable: true) writing.
	stream write: #[1 2 3]; close.
	self assert: ref contents = #[1 2 3]
	! !
